## EmpathyGstVideoSrc

EmpathyGstVideoSrc

## Synopsis

    enum                EmpathyGstVideoSrcChannel;
    #define             EMPATHY_GST_VIDEO_SRC_SUPPORTS_CONTRAST
    #define             EMPATHY_GST_VIDEO_SRC_SUPPORTS_BRIGHTNESS
    #define             EMPATHY_GST_VIDEO_SRC_SUPPORTS_GAMMA
                        EmpathyGstVideoSrc;
    GstElement *        empathy_video_src_new               (void);
    guint               empathy_video_src_get_supported_channels
                                                            (GstElement *src);
    void                empathy_video_src_set_channel       (GstElement *src,
                                                             EmpathyGstVideoSrcChannel channel,
                                                             guint percent);
    guint               empathy_video_src_get_channel       (GstElement *src,
                                                             EmpathyGstVideoSrcChannel channel);

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBin
                         +----EmpathyGstVideoSrc

## Implemented Interfaces

EmpathyGstVideoSrc implements GstChildProxy.

## Description

## Details

### enum EmpathyGstVideoSrcChannel

    typedef enum {
      EMPATHY_GST_VIDEO_SRC_CHANNEL_CONTRAST = 0,
      EMPATHY_GST_VIDEO_SRC_CHANNEL_BRIGHTNESS = 1,
      EMPATHY_GST_VIDEO_SRC_CHANNEL_GAMMA = 2,
      NR_EMPATHY_GST_VIDEO_SRC_CHANNELS
    } EmpathyGstVideoSrcChannel;

### EMPATHY_GST_VIDEO_SRC_SUPPORTS_CONTRAST

    #define             EMPATHY_GST_VIDEO_SRC_SUPPORTS_CONTRAST

### EMPATHY_GST_VIDEO_SRC_SUPPORTS_BRIGHTNESS

    #define             EMPATHY_GST_VIDEO_SRC_SUPPORTS_BRIGHTNESS

### EMPATHY_GST_VIDEO_SRC_SUPPORTS_GAMMA

    #define             EMPATHY_GST_VIDEO_SRC_SUPPORTS_GAMMA

### EmpathyGstVideoSrc

    typedef struct _EmpathyGstVideoSrc EmpathyGstVideoSrc;

### empathy_video_src_new ()

    GstElement *        empathy_video_src_new               (void);

Returns : |

### empathy_video_src_get_supported_channels ()

    guint               empathy_video_src_get_supported_channels
                                                            (GstElement *src);

`src` : |
Returns : |

### empathy_video_src_set_channel ()

    void                empathy_video_src_set_channel       (GstElement *src,
                                                             EmpathyGstVideoSrcChannel channel,
                                                             guint percent);

`src` : |
`channel` : |
`percent` : |

### empathy_video_src_get_channel ()

    guint               empathy_video_src_get_channel       (GstElement *src,
                                                             EmpathyGstVideoSrcChannel channel);

`src` : |
`channel` : |
Returns : |